<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."simpladd/infusion_db.php";

if (file_exists(SIMPLADD_INF."locale/".$settings['locale'].".php")) {
	include SIMPLADD_INF."locale/".$settings['locale'].".php";
} else {
	include SIMPLADD_INF."locale/English.php";
}

$inf_title = $locale['smp001'];
$inf_description = $locale['smp002'];
$inf_version = "2.3";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://www.hobbysites.net/";

$inf_folder = "simpladd";

$inf_newtable[1] = DB_SA_SETTINGS." (
  `simpl_status` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `simpl_colour` varchar(11) NOT NULL DEFAULT '', 
  `simpl_reset` tinyint(1) NOT NULL DEFAULT '0',
  `simpl_user` varchar(45) NOT NULL DEFAULT '0',
  `set_multi` tinyint(1) NOT NULL DEFAULT '0', 
  `set_subtr` tinyint(1) NOT NULL DEFAULT '0', 
  `set_divis` tinyint(1) NOT NULL DEFAULT '0',
  `set_badnum` mediumint(8) NOT NULL DEFAULT '0',
  `badnum_time` mediumint(8) NOT NULL DEFAULT '0', 
  `simpl_datestamp` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`simpl_status`)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_SA_REPORT." (
  `badips_id` SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  `badips_ip` VARCHAR(45) NOT NULL DEFAULT '0',
  `badips_type` TINYINT(1) UNSIGNED NOT NULL DEFAULT '4',
  `badips_count` VARCHAR(11) NOT NULL DEFAULT '0',
  `badips_datestamp` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`badips_id`)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_SA_SETTINGS." (simpl_status, simpl_colour, simpl_reset, simpl_user, set_multi, set_subtr, set_divis, set_badnum, badnum_time, simpl_datestamp) 
VALUES ('0', 'white_a', '1', '".$userdata['user_id']."', '0', '0', '0', '3', '300', '".time()."')";

$inf_droptable[1] = DB_SA_SETTINGS;
$inf_droptable[2] = DB_SA_REPORT;

$inf_adminpanel[1] = array(
	"title" => $locale['smp003'],
	"image" => "simpladd.gif",
	"panel" => "simpladd_admin.php",
	"rights" => "SADD"
);
?>