<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: simpladd_admin.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."simpladd/infusion_db.php";
include SIMPLADD_INF."geoiploc.php";
include SIMPLADD_INF."locale/country_locales.php";

if (file_exists(SIMPLADD_INF."locale/".$settings['locale'].".php")) {
	include SIMPLADD_INF."locale/".$settings['locale'].".php";
} else {
	include SIMPLADD_INF."locale/English.php";
}

if (!checkrights("SADD") || !defined("iAUTH")) { redirect("../../index.php"); }

add_to_title($locale['global_200'].$locale['smp003']);
$simpl_settings = dbarray(dbquery("SELECT * FROM ".DB_SA_SETTINGS));
$error = "";


// Update Settings

    if (isset($_POST['update_settings'])) {
    
    $query = dbquery("UPDATE ".DB_SA_SETTINGS." SET simpl_status = '0'");
    $colour = stripinput(strtolower($_POST['colour_chioce']));
    $set_reset = isset($_POST['set_reset']) ? "1" : "0";
    $set_multi = isset($_POST['set_multi']) ? "1" : "0";
    $set_subtr = isset($_POST['set_subtr']) ? "1" : "0";
    $set_divis = isset($_POST['set_divis']) ? "1" : "0";
    $set_badnum = stripinput($_POST['set_badnum']);
    $badnum_time = stripinput($_POST['badnum_time']);
    $set_captcha = isset($_POST['set_captcha']) ? "1" : "0"; 

    $query = dbquery("UPDATE ".DB_SA_SETTINGS." SET 
                                                 simpl_status = '1',
                                                 simpl_colour = '".$colour."', 
                                                 simpl_reset = '".$set_reset."',
                                                 simpl_user = '".$userdata['user_id']."',
                                                 set_multi = '".$set_multi."', 
                                                 set_subtr = '".$set_subtr."', 
                                                 set_divis = '".$set_divis."',
                                                 set_badnum = '".$set_badnum."',
                                                 badnum_time = '".$badnum_time."',
                                                 simpl_datestamp = '".time()."'
                                                 ");
    if($set_captcha) {
    $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='simpladd' WHERE settings_name='captcha'");
    }

	redirect(FUSION_SELF.$aidlink);
 }

opentable($locale['smp003']." | ".$locale['smp036']);

echo "<center>\n";

// Check if SimplAdd can be installed
    if (!file_exists(SIMPLADD."index.php") || !file_exists(SIMPLADD."mimage.php")) {  $error .=  "<li>".$locale['smp029']."</li>\n"; }
    
    if ($error) {
    echo "<b>".$locale['smp028']."</b>\n";
    echo "<ul>".$error."</ul>\n";
    } else {

 $check = dbarray(dbquery("SELECT user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$simpl_settings['simpl_user']."'"));
 echo "<p>".$locale['smp011'].strftime('%d/%m/%Y %H:%M', $simpl_settings['simpl_datestamp']+($settings['timeoffset']*3600)).$locale['smp007'].profile_link($simpl_settings['simpl_user'], $check['user_name'], $check['user_status'])."</p>\n";

// Settings Form
echo "<form name='randomize_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' align='center' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td class='tbl1' align='center'>".$locale['smp014']."\n";

echo "<select name='colour_chioce' class='textbox'>\n";
echo "<option value='".strtolower("white_a")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("white_a") ? " selected" : "").">".$locale['smp015']."</option>\n";
echo "<option value='".strtolower("white_s")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("white_s") ? " selected" : "").">".$locale['smp016']."</option>\n";
echo "<option value='".strtolower("black_a")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("black_a") ? " selected" : "").">".$locale['smp017']."</option>\n";
echo "<option value='".strtolower("black_s")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("black_s") ? " selected" : "").">".$locale['smp018']."</option>\n";
echo "<option value='".strtolower("green_a")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("green_a") ? " selected" : "").">".$locale['smp019']."</option>\n";
echo "<option value='".strtolower("green_s")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("green_s") ? " selected" : "").">".$locale['smp020']."</option>\n";
echo "<option value='".strtolower("blue_a")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("blue_a") ? " selected" : "").">".$locale['smp021']."</option>\n";
echo "<option value='".strtolower("blue_s")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("blue_s") ? " selected" : "").">".$locale['smp022']."</option>\n";
echo "<option value='".strtolower("grey_a")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("grey_a") ? " selected" : "").">".$locale['smp023']."</option>\n";
echo "<option value='".strtolower("grey_s")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("grey_s") ? " selected" : "").">".$locale['smp024']."</option>\n";
echo "<option value='".strtolower("red_a")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("red_a") ? " selected" : "").">".$locale['smp025']."</option>\n";
echo "<option value='".strtolower("red_s")."'".(strtolower($simpl_settings['simpl_colour']) == strtolower("red_s") ? " selected" : "").">".$locale['smp026']."</option>\n";
    echo "</select>\n</td>\n";
    if ($settings['captcha'] != "simpladd") {
    echo "</tr><tr>\n";
    echo "<td class='tbl1' align='center'><label><b>".$locale['smp027']."</b><input type='checkbox' name='set_captcha' value='1' class='textbox' /></label></td>\n"; }
    echo "</tr><tr>\n";
echo "<td class='tbl2' align='center'><label>".$locale['smp008']."<input type='text' name='set_badnum' value='".$simpl_settings['set_badnum']."' class='textbox' style='width:20px;' /></label>\n";
     echo $locale['smp031']."\n";
echo "<select name='badnum_time' class='textbox'>\n";
 echo "<option value='300'".($simpl_settings['badnum_time'] == "300" ? " selected" : "").">5</option>\n";
 echo "<option value='600'".($simpl_settings['badnum_time'] == "600" ? " selected" : "").">10</option>\n";
 echo "<option value='900'".($simpl_settings['badnum_time'] == "900" ? " selected" : "").">15</option>\n";
echo "<option value='1200'".($simpl_settings['badnum_time'] == "1200" ? " selected" : "").">20</option>\n";
echo "<option value='1800'".($simpl_settings['badnum_time'] == "1800" ? " selected" : "").">30</option>\n";
echo "<option value='3600'".($simpl_settings['badnum_time'] == "3600" ? " selected" : "").">60</option>\n";
echo "<option value='7200'".($simpl_settings['badnum_time'] == "7200" ? " selected" : "").">120</option>\n";
echo "</select>\n".$locale['smp047']."</td>\n";
    echo "</tr><tr>\n";
echo "<td class='tbl1' align='center'><label>".$locale['smp035']."<input type='checkbox' name='set_reset' value='1'".($simpl_settings['simpl_reset'] == 1 ? " checked='checked'" : "")." /></label></td>\n";
    echo "</tr><tr>\n";
echo "<td class='tbl2' align='center'><label>".$locale['smp037']."<input type='checkbox' name='set_multi' value='1'".($simpl_settings['set_multi'] == 1 ? " checked='checked'" : "")." /></label></td>\n";
    echo "</tr><tr>\n";
echo "<td class='tbl1' align='center'><label>".$locale['smp038']."<input type='checkbox' name='set_subtr' value='1'".($simpl_settings['set_subtr'] == 1 ? " checked='checked'" : "")." /></label></td>\n";
    echo "</tr><tr>\n";
echo "<td class='tbl2' align='center'><label>".$locale['smp039']."<input type='checkbox' name='set_divis' value='1'".($simpl_settings['set_divis'] == 1 ? " checked='checked'" : "")." /></label></td>\n";
    echo "</tr><tr>\n";
echo "<td class='tbl1' align='center'><label><input type='submit' name='update_settings' value='".$locale['smp012']."' class='button' /></label></td>\n";
    echo "</table>\n";
    echo "</form>\n";
    }

echo "</center><br />\n";
 if ($settings['captcha'] == "simpladd") { echo "<span style='float:right;'>".$locale['smp032']."<img src='".IMAGES."tick.png' alt='' style='border:0;vertical-align:middle;' /></span>\n"; }
 else {
 echo "<span style='float:right;'>".$locale['smp033']."</a><img src='".IMAGES."no.png' alt='' style='border:0;vertical-align:middle;' /></span>\n";
 }
$report_count = (dbcount("(badips_id)", DB_SA_REPORT, "badips_count >= '3'"));
echo "<center><a href='".INFUSIONS."simpladd/simpladd_bad-reports.php".$aidlink."'><b>".$locale['smp042']."</b></a> (".$report_count.")</center>\n";

closetable();

// Footer
$data_v = dbarray(dbquery("SELECT inf_title, inf_version FROM ".DB_INFUSIONS." WHERE inf_title='".$locale['smp001']."'"));	
echo "<br /><div class='tbl-border' align='center'><b>".$locale['smp002']." v".$data_v['inf_version']."</b> by <a target='_blank' href='http://www.hobbysites.net/' title='HobbyMan'>HobbyMan</a><br /><a target='_blank' href='http://www.hobbysites.net/' title='HobbyMan'><img src='".SIMPLADD_INF."/images/hs_lwr.gif' alt='Logo'></a><br />&copy hobbysites ".date("Y")."</div>\n";

echo "<script type='text/javascript'>\n";
		echo "/* <![CDATA[ */\n";
		echo "function DeleteEntry() {\n";
		echo "return confirm('".$locale['smp046']."?');\n}\n";
		echo "/* ]]>*/\n";
		echo "</script>\n";

require_once THEMES."templates/footer.php";
?>