<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: captcha_display.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."simpladd/infusion_db.php";
require_once SIMPLADD."session_inc.php";

if (file_exists(SIMPLADD_INF."locale/".$settings['locale'].".php")) {
	include SIMPLADD_INF."locale/".$settings['locale'].".php";
} else {
	include SIMPLADD_INF."locale/English.php";
}

if ($simpl_settings['simpl_reset']) {
   if (!function_exists("fetch_url")) {
      function fetch_url() {
         $url = "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
         return $url;
      }
  }
$baseurl = fetch_url();

if (isset($_POST['reset'])) {
        session_destroy();
        redirect($baseurl);
   }
 }

      $time_limit = (time()-$simpl_settings['set_badnum']);
      $checkfor_bad_attempt = dbarray(dbquery("SELECT badips_id, badips_count FROM ".DB_SA_REPORT." WHERE badips_ip = '".USER_IP."' AND badips_datestamp <= $time_limit"));
      
      if(!isset($checkfor_bad_attempt['badips_count'])) { $badcount = '0'; } else { $badcount = $checkfor_bad_attempt['badips_count']; }
      
      if($badcount >= $simpl_settings['set_badnum']) {
               echo"<div><h3>".$locale['smp009']."</h3></div>\n"; 
         session_destroy();
      } else {
      
   echo "<img src='".SIMPLADD."mimage.php' width='200' alt='".$locale['global_600']."' style='border:0;vertical-align:middle;' /><br />\n";

// Reset
  if ($simpl_settings['simpl_reset']) {		
		echo "<span style='float:left;'><img src='".SIMPLADD_INF."images/refresh.png' alt='' width='16' style='border:0;vertical-align:middle;' />\n";
		echo "<form method='post' action='".fetch_url()."'>\n";
		echo "<small><input type='submit' name='reset' value='".$locale['smp034']."' class='button' /></small>\n";
		echo "</form>\n</span>\n";
	       }
	       
if($badcount) {
      echo "<span style='float:right;'><small>".$locale['smp006'].($simpl_settings['set_badnum']-$badcount)."</small></span>\n";
       }
     }
?>