<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: session_inc.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

/*---------------------+
| SumTypes
| 1 = Addition
| 2 = Multiplication
| 3 = Subtraction
| 4 = Division
+---------------------*/

include INFUSIONS."simpladd/infusion_db.php";

$simpl_settings = dbarray(dbquery("SELECT * FROM ".DB_SA_SETTINGS));

$query_type = array(
               1 => "plus",
               2 => "multiply",
               3 => "subtract",
               4 => "divide"
);

if(!isset($_SESSION)) 
    {
     session_start();
      }

   session_name("cap_a");
if (!isset($_SESSION['cap_a'])) {
	$_SESSION['cap_a'] = rand(1,10);
  }

   session_name("cap_b");
if (!isset($_SESSION['cap_b'])) {
	$_SESSION['cap_b'] = rand(1,10);
  }

   session_name("sumtype");
if (!isset($_SESSION['sumtype'])) {
	$_SESSION['sumtype'] = rand(1,4);
  }

$sumtype = $_SESSION['sumtype'];
$query = $query_type[$sumtype];

if ($sumtype == "1") {
    $a = $_SESSION['cap_a']; $b = $_SESSION['cap_b'];
    $answer = ($_SESSION['cap_a'] + $_SESSION['cap_b']);
    }
    
elseif ($sumtype == "2" && $simpl_settings['set_multi']) {
   $a = $_SESSION['cap_a']; $b = $_SESSION['cap_b'];
   $answer = ($_SESSION['cap_a'] * $_SESSION['cap_b']);
   }
   
elseif ($sumtype == "3" && $simpl_settings['set_subtr']) {
      session_name("sub_a");
if (!isset($_SESSION['sub_a'])) {
	$_SESSION['sub_a'] = rand(6,10);
  }
   session_name("sub_b");
if (!isset($_SESSION['sub_b'])) {
	$_SESSION['sub_b'] = rand(0,5);
  }
   $a = $_SESSION['sub_a']; $b = $_SESSION['sub_b'];
   $answer = ($_SESSION['sub_a'] - $_SESSION['sub_b']);
   }
   
elseif ($sumtype == "4" && $simpl_settings['set_divis']) {
      session_name("sub_a");
  if (!isset($_SESSION['sub_a'])) {
     do{
        $even = rand(2,10);
                  }while($even % 2 != 0); 
	$_SESSION['sub_a'] = $even;
  }
  
   session_name("sub_b");
  if (!isset($_SESSION['sub_b'])) { 
	$_SESSION['sub_b'] = rand(1,2);
  }
   $a = $_SESSION['sub_a']; $b = $_SESSION['sub_b'];
   $answer = ($_SESSION['sub_a'] / $_SESSION['sub_b']);
   }
   
  else {
  $a = $_SESSION['cap_a']; $b = $_SESSION['cap_b'];
  $answer = ($_SESSION['cap_a'] + $_SESSION['cap_b']);
  $query = "plus";
 }

if (!defined("IMG_A")) {
define("IMG_A", SIMPLADD_INF."images/".$simpl_settings['simpl_colour']."/".$a.".png");
 }
if (!defined("IMG_Q")) { 
define("IMG_Q", SIMPLADD_INF."images/".$simpl_settings['simpl_colour']."/".$query.".png");
 }
if (!defined("IMG_B")) {
define("IMG_B", SIMPLADD_INF."images/".$simpl_settings['simpl_colour']."/".$b.".png");
}
if (!defined("IMG_E")) {
define("IMG_E", SIMPLADD_INF."images/".$simpl_settings['simpl_colour']."/equals.png");
}
if (!defined("IMG_X")) {
define("IMG_X", SIMPLADD_INF."images/".$simpl_settings['simpl_colour']."/answer.png");
}

?>