<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: reports.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."simpladd/infusion_db.php";
include SIMPLADD_INF."geoiploc.php";
include SIMPLADD_INF."locale/country_locales.php";

if (file_exists(SIMPLADD_INF."locale/".$settings['locale'].".php")) {
	include SIMPLADD_INF."locale/".$settings['locale'].".php";
} else {
	include SIMPLADD_INF."locale/English.php";
}

if (!checkrights("SADD") || !defined("iAUTH")) { redirect("../../index.php"); }

add_to_title($locale['global_200'].$locale['smp003']." - ".$locale['smp042']);
$simpl_settings = dbarray(dbquery("SELECT * FROM ".DB_SA_SETTINGS));
$error = "";

add_to_head("<script type='text/javascript'>
checked=false;
function checkedAll (report_form) {
	var aa= document.getElementById('report_form');
	 if (checked == false)
          { checked = true
           } else {
          checked = false
          }
	for (var i =0; i < aa.elements.length; i++) { 
	aa.elements[i].checked = checked;
	  }
    }
</script>");

add_to_head("<script type='text/javascript'>
function ProcessReports() {
		return confirm('".$locale['smp056']."');
}
</script>");

// Stripinput Fix
if (!function_exists("stripinput_fix")) {
function stripinput_fix($text) {
	if (!is_array($text)) {
		if (QUOTES_GPC) $text = stripslashes($text);
		$search = array("&", "\"", "'", "\\", '\"', "\'", "<", ">", "&nbsp;");
		$replace = array("&amp;", "&quot;", "&#39;", "&#92;", "&quot;", "&#39;", "&lt;", "&gt;", " ");
		$text = str_replace($search, $replace, $text);
	} else {
		while (list($key, $value) = each($text)) {
			$text[$key] = stripinput($value);
		}
	  }
	return $text;
  }
}

if (isset($_POST['report_form'])) {
$error = 0;
if(isset($_POST['report_del'])) {
        $Si['report_del'] = stripinput_fix($_POST['report_del']);
        foreach($Si['report_del'] as $key) {
                $update = dbquery("DELETE FROM ".DB_SA_REPORT." WHERE badips_id='".$key."'");        
            }
         }
		 
if(isset($_POST['report_blk'])) {
        $Si['report_blk'] = stripinput_fix($_POST['report_blk']);
        foreach($Si['report_blk'] as $value) {
                $query = dbquery("INSERT INTO ".DB_BLACKLIST." (blacklist_user_id, blacklist_ip, blacklist_reason, blacklist_datestamp) VALUES ('".$userdata['user_id']."', '".$value."', '".$locale['smp050']."', '".time()."')");        
            }
         }	 
	  redirect(FUSION_SELF.$aidlink);
 } unset($key); unset($value);

// Bad Reports
opentable($locale['smp003']." - ".$locale['smp042']);

 $result = dbquery("SELECT 
                           badips_id, 
                           badips_ip, 
                           badips_count, 
                           badips_datestamp 
                           FROM ".DB_SA_REPORT." 
                           WHERE badips_count >= '".$simpl_settings['set_badnum']."' 
                           ORDER BY badips_datestamp 
                           DESC
                           ");
 
 if (dbrows($result)) {

echo "<form id='report_form' name='report_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";

echo "<table cellpadding='0' align='center' border='0' cellspacing='0' width='80%'>\n<tr>\n";
echo "<th>".$locale['smp051']."</th>\n";
echo "<th>".$locale['smp043']."</th>\n";
echo "<th>".$locale['smp044']."</th>\n";
echo "<th>".$locale['smp045']."</th>\n";
echo "<th>".$locale['smp053']."</th>\n";
echo "<th>".$locale['smp048']."</th>\n</tr>\n";

  while ($data = dbarray($result)) {
  $country_code = getCountryFromIP($data['badips_ip']);
   $bl_status = (dbcount("(blacklist_id)", DB_BLACKLIST, "blacklist_ip ='".$data['badips_ip']."'"));
   
     echo "<tr>\n<td class='tbl' align='center'>".($bl_status == 0 ? "<img src='".IMAGES."no.png' alt='No' style='border:0;vertical-align:middle;' />" : "<img src='".IMAGES."tick.png' alt='Yes' style='border:0;vertical-align:middle;' />")."</td>\n";
     echo "<td class='tbl' align='center'><a href=\"#\" onclick=\"Popup=window.open('http://www.stopforumspam.com/api?ip=".$data['badips_ip']."','Popup','toolbar=no,location=no,status=no,menubar=no,scrollbars=no,resizable=no, width=500,height=100,left=430,top=120'); return false;\">".$data['badips_ip']."</a></td>\n";
     echo "<td class='tbl' align='center'><img title='".$country[$country_code]."' src='".SIMPLADD_IMG."user_flags/".strtolower($country_code).".png' alt='' style='border:0;vertical-align:middle' /></td>\n";
     echo "<td class='tbl' align='center'>".strftime('%d/%m/%Y %H:%M', $data['badips_datestamp']+($settings['timeoffset']*3600))."</td>\n";
     echo "<td class='tbl' align='center'><label><input type='checkbox' name='report_del[]' value='".$data['badips_id']."' /></label></td>\n"; 
     echo "<td class='tbl' align='center'>\n";
     if (!$bl_status) { echo "<label><input type='checkbox' name='report_blk[]' value='".$data['badips_ip']."' /></label>\n"; 
        }    
        echo "</td></tr>\n";
     }

     echo "<td class='tbl' colspan='4'>&nbsp;</td>\n";
     echo "<td class='tbl' colspan='2' align='center'><label>".$locale['smp054']."<input type='checkbox' name='checkall' onclick='checkedAll(report_form);'></label></td>\n";
     echo "</tr><tr>\n";
     echo "<td class='tbl' align='center' colspan='6'><input type='submit' name='report_form' onclick=\"return ProcessReports();\" value='".$locale['smp055']."' class='button' />\n";
     
  echo "</table>\n";
  echo "</form>\n";
   } else {
echo "<br /><div align='center'>".$locale['smp030']."</div><br />\n";
 }
echo "<center><a href='".INFUSIONS."simpladd/simpladd_admin.php".$aidlink."'><b>".$locale['smp003']."</b></a></center>\n";
closetable();

// Footer
$data_v = dbarray(dbquery("SELECT inf_title, inf_version FROM ".DB_INFUSIONS." WHERE inf_title='".$locale['smp001']."'"));	
echo "<br /><div class='tbl-border' align='center'><b>".$locale['smp002']." v".$data_v['inf_version']."</b> by <a target='_blank' href='http://www.hobbysites.net/' title='HobbyMan'>HobbyMan</a><br /><a target='_blank' href='http://www.hobbysites.net/' title='HobbyMan'><img src='".SIMPLADD_INF."/images/hs_lwr.gif' alt='Logo'></a><br />&copy hobbysites ".date("Y")."</div>\n";

require_once THEMES."templates/footer.php";
?>